import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class counter: label
 * Displays the number of lives remaining
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */

import java.awt.*; // for fonts... i think

public class counter  extends Actor
{
    
    Font font = new Font ("Serif", 1, 22); // bold = 1
    private myWorld mworld;
    
    // creates images that are 250 x 50 pixels
    GreenfootImage img2 = new GreenfootImage(250, 50);
    GreenfootImage img3 = new GreenfootImage(250, 50);
    GreenfootImage img4 = new GreenfootImage(250, 50);
    
    int count = 0;
    
    // allows class to access world variables
    public void addedToWorld(World world) 
    {
        mworld = (myWorld) world;  
    } // end addedToWorld
    
    // constructor
    public counter()
    {
        GreenfootImage img = new GreenfootImage (250, 50);
        
        // assigns font to each image
        img.setFont(font);
        img2.setFont(font);
        img3.setFont(font);
        img4.setFont(font);
        
        // assigns a string to each image
        img.drawString ("Lives Remaining: 3", 10, 25);
        img2.drawString ("Lives Remaining: 2", 10, 25);
        img3.drawString ("Lives Remaining: 1", 10, 25);
        img4.drawString ("Lives Remaining: 0", 10, 25);
        
        // sets the default image
        setImage(img);   
    } // end counter
    
    // if the woman is hit, reduce the life count
    private void reduceLives()
    {
        if (mworld.hit == true)
        {
            // reduces the number of lives
            changeImage();
            
            // resets the hit boolean
            mworld.hit = false;
        } // end if
    } // reduceLives
    
    // changes the life counter image, reducing it by 1 each time
    private void changeImage()
    {
        if (count == 0)
        {
            // 2 lives left
            setImage(img2);               
        } // end if
        if (count == 1)
        {
            // 1 life left
            setImage(img3);
        } // end if
        if (count == 2)
        {
            // 0 lives left
            setImage(img4);
            
            // proceeds to ending
            end1();
        } // end if
        // keeps track of hits
        count++;
    } // end changeImage
          
    // losing
    private void end1()
    {
        // player has lost
        mworld.hasWon = 1;       
        // stops greenfoot
        Greenfoot.stop();
    } // end end1
    
    public void act() 
    {
        // checks if woman has been hit
        reduceLives();
    } // end act
}
