import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
import java.lang.*;

/**
 * class winStatus: label
 * displays a losing or winning sentence
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */
public class winStatus  extends Actor
{
    Font font = new Font("Serif", 1, 26); // bold = 1
    private myWorld mworld;
    
    // creates new images of 500 x 50 pixels
    GreenfootImage img0 = new GreenfootImage(500, 50);
    GreenfootImage img1 = new GreenfootImage(500, 50);
    GreenfootImage img2 = new GreenfootImage(500, 50);
    
    // allows class to access world variables
    public void addedToWorld(World world) 
    {
        mworld = (myWorld) world;  
    } // end addedToWorld
    
    // constructor
    public winStatus()
    {
        // original image is invisible
        img0.setTransparency(0);
        
        // assigns font to images
        img1.setFont(font);
        img2.setFont(font);
        
        img1.drawString("YOU HAVE LOST! SAD DAY FOR YOU!", 1, 30);
        img2.drawString("YOU WON! HAPPY DAY FOR YOU!", 1, 25);
        
        // sets default image (invisible)
        setImage(img0);
    } // end windStatus()
    
    public void act() 
    {
        checkStatus();
        checkForWin();
    } // end act
    
    private void checkForWin()
    {
        // checks if all the volcanos have been touched
        if (mworld.vol1 == 1 &&
            mworld.vol2 == 1 &&
            mworld.vol3 == 1 &&
            mworld.vol4 == 1)
        {
            // player has won
            mworld.hasWon = 2;
        } // end if
    } // end checkForWin()
    
    // sets an image based on whether the player won or lost
    private void checkStatus()
    {
        // wins
        if (mworld.hasWon == 2)
        {
            setImage(img2);
            Greenfoot.stop();
        } // end if
        
        // loses
        if (mworld.hasWon == 1)
        {
            setImage(img1);
        } // end if
    } // end checkStatus
}
