import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class woman: player
 * Main character. Is able to pick up white balls and move up/down/left/right
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */
public class woman  extends Actor
{
    private myWorld mworld;
    private GreenfootImage womanHurt;
    
    // allows class to access world variables 
    public void addedToWorld(World world) 
    {
        mworld = (myWorld) world;  
    } // end addedToWorld
    
    // class constructor
    public woman()
    {
        womanHurt = new GreenfootImage("woman02.png");
    } // end woman
    
    public void act() 
    {
        checkStatus();
        
        // moves the woman in a direction corresponding to the current key being pressed down
        if(Greenfoot.isKeyDown("right"))
        {
            setLocation(getX() + 1, getY());
            mworld.setCoords(getX(),getY() );
        }
        if(Greenfoot.isKeyDown("left"))
        {
            setLocation(getX() - 1, getY());
            mworld.setCoords(getX(),getY() );
        }
        if(Greenfoot.isKeyDown("up"))
        {
            setLocation(getX(), getY() - 1);
            mworld.setCoords(getX(),getY() );
        }
        if(Greenfoot.isKeyDown("down"))
        {
            setLocation(getX(), getY() + 1);
            mworld.setCoords(getX(),getY() );    
        }
    } // end act    
    
    // checks if the woman has picked up the white ball
    private void checkStatus()
    {
        skull sku = (skull) getOneIntersectingObject(skull.class);
        
        // woman picked up white ball
        if (sku != null)
        {
            // change to secondary image
            setImage(womanHurt);  
            // delay greenfoot for effect
            Greenfoot.delay(15);
            // return woman to original image
            setImage("woman01.png");
            // alter world variable for scoring purposes
            mworld.hit = true;
        } // end if

    } // end checkStatus
    
}
